import java.text.SimpleDateFormat
import java.util.Date

plugins {
    alias(libs.plugins.android.application)
}
val timestamp = SimpleDateFormat("MM_dd_HH_mm").format(Date())

android {
    namespace = "com.wall.exquisite.wallpaper"
    compileSdk = 36

    defaultConfig {
        applicationId = "com.wall.exquisite.wallpaper"
        minSdk = 24
        targetSdk = 36
        versionCode = 1
        versionName = "1.0"
        setProperty("archivesBaseName","Wallpaper Exquisite_v"+versionName+"(${versionCode})_$timestamp")
        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }



    buildTypes {
        release {
            isMinifyEnabled = true
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_11
        targetCompatibility = JavaVersion.VERSION_11
    }

    buildFeatures {
//        viewBinding = true
        dataBinding=true
    }
}

dependencies {
    implementation(libs.appcompat)
    implementation(libs.material)
    implementation("androidx.activity:activity:1.10.0")
    implementation(libs.constraintlayout)
    testImplementation(libs.junit)
    androidTestImplementation(libs.ext.junit)
    androidTestImplementation(libs.espresso.core)

    // 图片加载库
    implementation("com.github.bumptech.glide:glide:4.16.0")
    annotationProcessor("com.github.bumptech.glide:compiler:4.16.0")

    // JSON解析
    implementation("com.google.code.gson:gson:2.10.1")

    // 其他UI组件
    implementation("androidx.viewpager2:viewpager2:1.0.0")
    implementation("androidx.recyclerview:recyclerview:1.3.2")
    // 图片缩放库（必加，否则无法缩放大图）
    implementation("com.github.chrisbanes:PhotoView:2.3.0")


    implementation("androidx.core:core-ktx:1.12.0")
    implementation("androidx.appcompat:appcompat:1.6.1")

    // 新增：Glide Transform扩展（用于圆角变换）
    implementation ("jp.wasabeef:glide-transformations:4.3.0")

    implementation ("androidx.constraintlayout:constraintlayout:2.1.4")

    implementation(files("libs/TradPlusLibrary_11_25_15_02-release.aar"))
    implementation(files("libs/UpLoadLibrary_12_03_15_13-release.aar"))
}